function [ Z, sigma ] = mds( D, m, epsilon, maxI )
%MDS Embeds n points into R^m such that the euclidean distance preserves D.
% Inputs:
% D       : Non-negative n-by-n matrix containing the distances between 
%           points. I.e. D(i,j) contains the distance between points i,j.
%           Parameter n is given implicitely by the dimension of D.
% m       : Natural number m specifies the dimension of the embedding
%           space. If m=2 or m=3 the progress will be plotted.
% epsilon : Gradient descent algorithm stops after relative progress drops
%           below epsilon.
% maxI    : Gradient descent algorithm stops after at most maxI iterations.
%
% Outputs:
% Z       : n-by-m matrix Z contains the coordinates of the points in the
%           embedding space upon termination of the algorithm.
% sigma   : value of the embedding error


end

