function meshplot( M, f )
%MESHPLOT Display mesh M as a 3D plot.
%   f specifies a real valued function on the set of vertices or triangles.
%   The values of f are used to color the plot.
%   f is either a m-by-1 or n-by-1 matrix, where m is the number of
%   triangles and n is the number of vertices.
numberOfFaces = size(M.TRIV,1);
trisurf(M.TRIV,M.VERT(:,1),M.VERT(:,2),M.VERT(:,3),f)
axis equal
colormap(jet)
if (numberOfFaces==size(f,1))
    shading faceted
else
    shading flat
end
axis off
end

