function [ ] = rgb_coloring( M, N, gt )
%RGB_COLORING Colors M and N according to the correspondence gt (n,2)
% First column in gt refers to indices in M, second to N.

figure()

colors = create_colormap(M, M);
colormap(colors)

subplot(1,2,1)
plot_scalar_map(M, 1:M.n), axis off

% transfer
colors2 = ones(size(N.VERT,1), 3)*0.9;

for i=1:(size(gt,1))
    colors2(gt(i,2),:) = colors(gt(i,1),:); 
end

hold on,
freezeColors(),
colormap(colors2)
subplot(1,2,2)
plot_scalar_map(N, 1:size(N.VERT,1)), axis off
unfreezeColors();

end

